=== debian/changelog ===
swig (3.0.2-1ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1448823)

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 19 May 2015 15:01:23 -0500

swig (3.0.2-1ubuntu1) utopic; urgency=medium

  * Build using python3.
  * Drop build dependency on libchicken-dev (universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jul 2014 20:32:46 +0200

swig (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version: 3.9.3 -> 3.9.5 (lintian).
    Checked via upgrading-checklist.txt.gz from debian-policy package.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 03 Jul 2014 00:45:28 +0200

swig (3.0.0-1) unstable; urgency=low

  * Retarget to unstable.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 02 Jul 2014 06:57:08 +0200

swig (3.0.0-0) experimental; urgency=low

  * New upstream release 3.0.0 (closes: #739910).
  * debian/control: Change source name from swig2.0 back to swig.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 16:48:37 +0200

swig2.0 (2.0.12-1) unstable; urgency=medium

  * New upstream release 2.0.12.
  * Build with Guile 2.0 (closes: #746016).
  * For some reason, GUILE_CFLAGS is set correctly again (closes: #701865).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 01:24:34 +0200

swig2.0 (2.0.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with the default Ruby instead of hardcoding ruby1.9.1.
     (Closes: #745927)

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Sat, 26 Apr 2014 17:23:59 +0200

swig2.0 (2.0.11-1) unstable; urgency=low

  * Merge new upstream release 2.0.11 (closes: #727188).
  * Use Ruby 1.9.1 instead of 1.8 which is about to be removed from sid.
    Thanks to Cédric Boutillier for the patch (closes: #722282).
  * Install swigp4.ml manually as the upstream Makefile fails to do so
    when using a separate build directory (closes: #725945).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 25 Oct 2013 23:36:37 +0200

swig2.0 (2.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Mon, 09 Sep 2013 22:06:54 +0200

swig2.0 (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Use dpkg-buildflags while building (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 28 Feb 2013 00:37:38 +0100

swig2.0 (2.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 31 Oct 2012 12:05:24 +0100

swig2.0 (2.0.7-3) unstable; urgency=low

  * Use /usr/bin/python instead of /usr/bin/python2.5 in debian/rules
    (closes: #675908).
  * Use default-jdk instead of gcj-jdk (closes: #675911). 

 -- Torsten Landschoff <torsten@debian.org>  Mon, 11 Jun 2012 22:55:25 +0200

swig2.0 (2.0.7-2) unstable; urgency=high

  * Switch to out-of-source build. 
  * Applied patch by Klaus Kämpf (applied upstream) to fix seg fault when
    attempting to warn about an illegal destructor (closes: #675196).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 30 May 2012 22:20:51 +0200

swig2.0 (2.0.7-1) unstable; urgency=high

  * New upstream release 2.0.7 (closes: #674263).
  * Build-Depend on tcl-dev and tk-dev instead of tcl8.4-dev and tk8.4-dev
    (closes: #674540). 
  * debian/rules: Add binary-indep and binary-arch targets (lintian).
  * debian/control: Bump Standards-Version to 3.9.3 (no changes).
  * debian/patches/pyint_fromsize_t.diff: New patch to fix a regression of
    upstream r13106 when building for Python 3 (caught by FTBFS for hugin).

 -- Torsten Landschoff <torsten@debian.org>  Mon, 28 May 2012 17:58:26 +0200

swig2.0 (2.0.6-1) unstable; urgency=low

  * Merge upstream changes for 2.0.6.
    + Includes patches to slicing bugs (closes: #673544).
  * debian/control: Narrow the dependency of swig on swig2.0 to require
    the newest version as suggested by Andreas Metzler.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 22 May 2012 00:23:15 +0200

swig2.0 (2.0.5-1) unstable; urgency=low

  * New upstream release 2.0.5.
    + Removed patch python_map.patch (applied upstream).
    + Removed patch fix_overflow_errors_64bitint (fixed upstream).
    + Removed patches pulled from upstream.
    + Adds support for Lua 5.2 (closes: #670203).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 26 Apr 2012 22:18:39 +0200

swig2.0 (2.0.4-5) unstable; urgency=low

  * Fix invalid conversion from 'const char*' to 'char*' (closes: #657091).
    Patch provided by Lior Kaplan.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 24 Jan 2012 18:58:13 +0100

swig2.0 (2.0.4-4) unstable; urgency=low

  * Acknowledge NMU, thanks again Luca (and Jonathan for the patch).
  * Merge revision 12814 from upstream (closes: #642202).
  * Merge revision 12780 from upstream (closes: #468414). 

 -- Torsten Landschoff <torsten@debian.org>  Tue, 20 Sep 2011 22:45:05 +0200

swig2.0 (2.0.4-3.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Jonathan Nieder ]
  * Put swig2.0(1) manpage in the swig2.0 package, instead of whatever
    architecture-dependent package happened to be processed first.
  * swig2.0 Breaks and Replaces swig (<< 2.0.4-3.1) (Closes: #639521).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Sep 2011 01:32:41 +0200

swig2.0 (2.0.4-3) unstable; urgency=low

  * Acknowledge changes by Luca Falavigna - thanks.
  * Applied the patch by Chris Butler to fix wrapper generation on i386 for
    perl compiled with -Duse64bitint (closes: #579450).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 19 Aug 2011 23:37:01 +0200

swig2.0 (2.0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Sebastian Ramacher ]
  * debian/patches/python_map.patch:
    - Let std::map honour all four template arguments to fix FTBFS in
      related packages (Closes: #633736).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Aug 2011 17:27:18 +0200

swig2.0 (2.0.4-2) unstable; urgency=low


