=== debian/control ===
Source: swig
Section: interpreters
Priority: optional
Maintainer: Torsten Landschoff <torsten@debian.org>
Standards-Version: 3.9.5
Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig3.0
Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig3.0
Homepage: http://www.swig.org/
Build-Depends: dpkg-dev (>= 1.16.1~),
               bison,
               debhelper (>= 7.0),
               dh-autoreconf,
               default-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
               guile-2.0-dev,
               libperl-dev,
               libpcre3-dev,
               php5-cgi,
               php5-dev,
               python3-dev,
               ruby,
               ruby-dev,
               tcl-dev,
               tk-dev

Package: swig3.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: swig3.0-examples, swig3.0-doc
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, PHP, Tcl, Ruby, Python, Java, 
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an 
 interface for them to your favorite scripting language.

Package: swig3.0-examples
Architecture: all
Depends: swig3.0, ${misc:Depends}
Description: Examples for applications of SWIG
 Contains examples for applications of SWIG, a wrapper interface
 generator to integrate C code into scripting languages.

Package: swig3.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: HTML documentation for SWIG
 Contains the users' and developers' manuals for SWIG (Simplified 
 Wrapper Interface Generator) 2.0 in HTML format.
