## swig 3.0.7

=== debian/changelog ===
swig (3.0.7-0ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using python3.
    - Drop build dependency on libchicken-dev (universe).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2015 20:40:16 +0200

swig (3.0.7-0) experimental; urgency=low

  * Merge new upstream releases up to 3.0.7.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 14 Aug 2015 06:39:31 +0200

swig (3.0.2-2) unstable; urgency=low

  * Introduced the first autopkgtest for SWIG, checking the bug #768280.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 15 Feb 2015 20:47:25 +0100
