=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                ruby-dev,
                tcl-dev,
                tk-dev
+XS-Testsuite: autopkgtest
 
 Package: swig3.0
 Architecture: any
