=== debian/tests/control ===
Tests: flatnested-crash
Depends: swig3.0
