=== debian/changelog ===
swig (3.0.8-0ubuntu3) xenial; urgency=medium

  * d/rules: remove build-dep on php5* while SWIG does not support
    PHP7.0 (LP: #1546823).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 05 Apr 2016 11:53:32 -0700

swig (3.0.8-0ubuntu2) xenial; urgency=medium

  * debian/rules: Disable PHP SWIG bindings for PHP7.0 transition
    (LP: #1546823).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 12 Jan 2016 13:20:42 -0800

swig (3.0.8-0ubuntu1) xenial; urgency=medium

  * New upstream version (Python 3.5 related updates).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Jan 2016 17:07:16 +0100

swig (3.0.7-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop libchicken-dev from the build-depends (in universe).
  * Dropped changes, included in Debian:
    - Fix swig package to provide the actual unversioned commands.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 31 Oct 2015 21:55:05 -0700

swig (3.0.7-2) unstable; urgency=medium

  * Reintroduce symlinks swig and ccache-swig for the default version of
    SWIG (closes: #803369).
  * debian/control: Change XS-Testsuite to Testsuite, hoping that this
    will make the package appear on ci.debian.net.
  * New patch debian/patches/ccache-rename.diff: Allows calling ccache-swig
    as ccache-swig or ccache-swig3.0 (closes: #786618).
    + Added autopkgtest tests to check if ccache-swig can be called via
      the symlink as well as via the versioned binary name.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 31 Oct 2015 00:50:22 +0100

swig (3.0.7-1ubuntu1) xenial; urgency=medium

  * Fix swig package to provide the actual unversioned commands, instead of
    being an empty (and therefore broken) dummy package.  Closes: #803369.
  * Drop libchicken-dev from the build-depends (in universe).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2015 15:34:02 -0700

swig (3.0.7-1) unstable; urgency=low

  * Mark binary packages as Multi-Arch: foreign (closes: #738513).
  * Build swig, swig-doc and swig-examples dependency packages here
    (moved from swig2.0 source package). 
  * Apply patch for Python 3.5 support by Matthias Klose, closes: #802906.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 28 Oct 2015 22:15:01 +0100
