=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: swig
 Section: interpreters
 Priority: optional
-Maintainer: Torsten Landschoff <torsten@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
 Standards-Version: 3.9.5
 Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig3.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig3.0
 Homepage: http://www.swig.org/
+Testsuite: autopkgtest
 Build-Depends: dpkg-dev (>= 1.16.1~),
                bison,
                debhelper (>= 7.0),
@@ -14,18 +16,33 @@
                guile-2.0-dev,
                libperl-dev,
                libpcre3-dev,
-               php5-cgi,
-               php5-dev,
-               python3-dev,
+               python-dev,
                ruby,
                ruby-dev,
                tcl-dev,
                tk-dev
-XS-Testsuite: autopkgtest
+
+Package: swig
+Architecture: any
+Depends: swig3.0 (>= ${source:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Suggests: swig-doc, swig-examples
+Conflicts: swig2.0
+Replaces: swig2.0
+Description: Generate scripting interfaces to C/C++ code
+ SWIG is a compiler that makes it easy to integrate C and C++ code
+ with other languages including Perl, PHP, Tcl, Ruby, Python, Java,
+ Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
+ .
+ Swig takes a set of ANSI C/C++ declarations and generates an
+ interface for them to your favorite scripting language.
+ .
+ This is a dependency package providing the stable version of SWIG.
 
 Package: swig3.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Suggests: swig3.0-examples, swig3.0-doc
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
@@ -35,12 +52,31 @@
  Swig takes a set of ANSI C/C++ declarations and generates an 
  interface for them to your favorite scripting language.
 
+Package: swig-examples
+Architecture: all
+Depends: swig3.0-examples (>= 3.0.0-1), ${misc:Depends}
+Conflicts: swig2.0-examples
+Replaces: swig2.0-examples
+Description: Examples for applications of SWIG
+ This is a dependency package providing the examples of the default
+ version of SWIG in Debian.
+
 Package: swig3.0-examples
 Architecture: all
 Depends: swig3.0, ${misc:Depends}
 Description: Examples for applications of SWIG
  Contains examples for applications of SWIG, a wrapper interface
  generator to integrate C code into scripting languages.
+
+Package: swig-doc
+Architecture: all
+Depends: swig3.0-doc (>= 3.0.0-1), ${misc:Depends}
+Section: doc
+Conflicts: swig2.0-doc
+Replaces: swig2.0-doc
+Description: HTML documentation for SWIG
+ This is a dependency package providing the documentation of the default
+ version of SWIG in Debian.
 
 Package: swig3.0-doc
 Architecture: all
