=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 CONFIGURE_ARGS := \
 	--prefix=/usr --mandir=/usr/share/man	\
 	--with-tclconfig=/usr/lib			\
-	--with-python=/usr/bin/python3			\
+	--with-python=/usr/bin/python			\
 	--with-ruby=/usr/bin/ruby			\
 	--with-pike=/usr/bin/pike7.6			\
 	--with-pikeincl=/usr/include/pike/7.6.24	\
@@ -38,7 +38,7 @@
   endif
 endif
 
-with_chicken := yes
+with_chicken := no
 no_chicken_archs := m68k mips mipsel
 ifeq ($(DEB_TARGET_ARCH), $(findstring $(DEB_TARGET_ARCH),$(no_chicken_archs)))
   with_chicken := disabled for architecture $(DEB_TARGET_ARCH)
@@ -63,6 +63,9 @@
   CONFIGURE_ARGS += --without-chicken
   MAKEOPTS += skip-chicken=true
 endif
+
+CONFIGURE_ARGS += --without-php
+MAKEOPTS += skip-php=true
 
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
