=== debian/changelog ===
swig (3.0.10-1.1) unstable; urgency=medium

  * Remove swig PHP support (again) as swig doesn't support PHP 7.0 yet
    (Closes: #821715)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Nov 2016 21:08:29 +0100

swig (3.0.10-1) unstable; urgency=medium

  * New upstream release 3.0.10.
  * Raised debhelper compat level to 9.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Oct 2016 23:40:09 +0200

swig (3.0.9-1) unstable; urgency=medium

  * Merge upstream release 3.0.9.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Oct 2016 23:23:12 +0200

swig (3.0.8-0) experimental; urgency=medium

  * New upstream release (closes: #811418).
  * Remove patch for #802906, applied upstream.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 09 Mar 2016 23:02:45 +0100
