=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: swig
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
+Maintainer: Torsten Landschoff <torsten@debian.org>
 Standards-Version: 3.9.5
 Vcs-Svn: svn://svn.debian.org/svn/pkg-swig/branches/swig3.0
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/branches/swig3.0
@@ -14,6 +13,7 @@
                dh-autoreconf,
                default-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
                guile-2.0-dev,
+               libchicken-dev [!m68k !mips !mipsel],
                libperl-dev,
                libpcre3-dev,
                python-dev,
@@ -31,7 +31,7 @@
 Replaces: swig2.0
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
- with other languages including Perl, PHP, Tcl, Ruby, Python, Java,
+ with other languages including Perl, Tcl, Ruby, Python, Java,
  Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
  .
  Swig takes a set of ANSI C/C++ declarations and generates an
@@ -46,7 +46,7 @@
 Suggests: swig3.0-examples, swig3.0-doc
 Description: Generate scripting interfaces to C/C++ code
  SWIG is a compiler that makes it easy to integrate C and C++ code
- with other languages including Perl, PHP, Tcl, Ruby, Python, Java, 
+ with other languages including Perl, Tcl, Ruby, Python, Java, 
  Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
  .
  Swig takes a set of ANSI C/C++ declarations and generates an
