=== debian/watch ===
version=3
http://sf.net/swig/swig-(.+)\.tar\.gz
